<Project Sdk="Microsoft.NET.Sdk">

   <Import Project="$(SolutionDir)Solution.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <AssemblyName>Raytheon.Instruments.COEComm</AssemblyName>
      <Description>C# wrapper for the COE Windows, integrated real-time software operating environment designed for use in embedded systems</Description>

      <!-- Static versioning (Suitable for Development) -->
      <!-- Disable the line below for dynamic versioning -->
      <Version>1.0.0</Version>
      <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
   </PropertyGroup>

   <PropertyGroup>
      <NoWarn>1701;1702;NU1803</NoWarn>
   </PropertyGroup>

   <ItemGroup>
      <PackageReference Include="NLog" Version="5.0.0" />
   </ItemGroup>

   <PropertyGroup>
      <PrepareForRunDependsOn>$(PrepareForRunDependsOn);CopyFilesTargetName</PrepareForRunDependsOn>
   </PropertyGroup>

   <PropertyGroup>
      <coeDLLs>build\R04.$(Configuration)\x86\coeWindows-shared.dll</coeDLLs>
      <coeDLLs Condition="'$(Configuration)'=='Debug' OR '$(Configuration)'=='Release' OR '$(Configuration)'=='Deploy'">build\R04.06.05.02\x86\coeWindows-shared.dll;build\R04.06.05.02\x86\coeWindows-sharedd.dll</coeDLLs>
   </PropertyGroup>

   <ItemGroup>
      <Content Include="$(coeDLLs)">
         <PackagePath>lib\$(TargetFramework)</PackagePath>
         <TargetPath></TargetPath>
         <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
         <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
         <Pack>True</Pack>
      </Content>
   </ItemGroup>

   <Target Name="CopyFilesTargetName" BeforeTargets="Build">
      <Copy SourceFiles="$(coeDLLs)" DestinationFolder="$(OutDir)" />
   </Target>

   <!-- Copy all *.dlls and *.pdb in the output folder to a temp folder -->
   <Target Name="CopyFiles" AfterTargets="AfterBuild">
      <ItemGroup>
         <FILES_1 Include="$(OutDir)*.dll" />
         <FILES_2 Include="$(OutDir)*.pdb" />
      </ItemGroup>
      <Copy SourceFiles="@(FILES_1)" DestinationFolder="$(HalTempFolder)" />
      <Copy SourceFiles="@(FILES_2)" DestinationFolder="$(HalTempFolder)" />
   </Target>

</Project>
